import { jsx as _jsx } from "react/jsx-runtime";
export function TotalResults({ totalResult, saveTotalResultState, }) {
    if (saveTotalResultState && totalResult !== null) {
        saveTotalResultState(totalResult);
    }
    else {
        if (saveTotalResultState) {
            saveTotalResultState(0);
        }
    }
    return _jsx("div", { className: "openk9-totalResults-container", children: totalResult || 0 });
}
